/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __AES_128_H
#define __AES_128_H

#define LAN_MODE 1
#define GPRS_MODE 2

extern u8 AES128KeyTcpIp[16];
extern u8 AES128KeyGprs[16];

void AES_init_tcp_key (void);
void AES_init_gprs_key (void);
void AES_set_tcp_key (u8* prandom);
void AES_set_gprs_key (u8* prandom);
void AES_encrypt_tcp(u8* pplainbuffer, u32 plainbuffersize, u8 mode);
void AES_decrypt_tcp(u8* pencryptedbuffer, u32 encryptedbuffersize, u8 mode);
void aes_enc_dec(u8 *state, u8 *key, u8 dir);
u8 galois_mul2(u8 value);



#endif /* __AES_128_H */

/******************* (C) COPYRIGHT 2008 STMicroelectronics *****END OF FILE****/
